package mysql

import (
	"context"
	"fmt"
	"pji_desktop_http/biz/dal/query"
	"pji_desktop_http/biz/model"
)

func AddSimulationTestRecords(ctx context.Context, records []*model.SimulationTestRecord) error {
	r := query.SimulationTestRecord
	err := r.WithContext(ctx).Create(records...)
	return err
}

func QuerySimulationTestRecords(ctx context.Context, sceneId string, testTime string) ([]*model.SimulationTestRecord, error) {
	r := query.SimulationTestRecord
	records, err := r.WithContext(ctx).Where(r.SceneID.Eq(sceneId), r.TestTime.Eq(testTime)).Order(r.Round.Asc()).Find()
	if err != nil {
		fmt.Println("Query simulation records failed:", err.Error())
		return nil, err
	}
	fmt.Print("Query simulation records successfully:", records)
	return records, err
}
